#include<bits/stdc++.h>
#define ll long long
#define ff first
#define ss second
#define pb push_back
using namespace std;
#include "partition.h"

std::vector<int> solve(std::vector<int> a) {
	vector<pair<int, int>> v;
	for (int i = 0; i < a.size(); i++){
		v.pb({a[i], i});
	}
	sort(v.begin(), v.end(), greater<pair<int, int>>());
	vector<int> v1;
	for (auto h : v){
		v1.pb(h.ss);
	}
	
    return v1;
}